#!/usr/bin/env python
# -*- coding: utf-8 -*-

import sys
#import gc
from PyQt4 import QtCore, QtGui
from Ui_mainWindow import Ui_MainWindow

from Dialog1 import CDialog1

class CMainWindow(QtGui.QMainWindow, Ui_MainWindow):
    def __init__(self, parent=None):
        QtGui.QMainWindow.__init__(self)
        self.setupUi(self)


    @QtCore.pyqtSignature('')
    def on_btnTest_clicked(self):
#        gc.set_debug(gc.DEBUG_STATS|gc.DEBUG_COLLECTABLE|gc.DEBUG_UNCOLLECTABLE|gc.DEBUG_INSTANCES|gc.DEBUG_OBJECTS)
        timeout = 500
        minTimeout = 100
        dec = 0.995
        n = 1
        while True:
            print 'try# ', n, timeout
            dlg = CDialog1(self)
            QtCore.QTimer.singleShot(timeout, dlg.reject)
            dlg.exec_()
            del dlg
            timeout = (timeout-minTimeout)*dec + minTimeout
            n += 1
            QtGui.QApplication.processEvents()


if __name__ == '__main__':
    app = QtGui.QApplication(sys.argv)
    mainWindow = CMainWindow()
    mainWindow.show()
    if '--auto' in sys.argv:
        QtCore.QTimer.singleShot(1, mainWindow.on_btnTest_clicked)
    app.exec_()
    sys.exit(0)

